<template>
  <div>
    <div class="container normal-panel" style="margin-top: 2%">
      <el-descriptions title="联系人信息">
        <el-descriptions-item label="姓名">{{ contacts.name }}</el-descriptions-item>
        <el-descriptions-item label="手机号">{{ contacts.phonenumber }}</el-descriptions-item>
        <el-descriptions-item label="邮箱">{{ contacts.email }}</el-descriptions-item>
        <el-descriptions-item label="部门">{{ contacts.depname }}</el-descriptions-item>
        <el-descriptions-item label="职位">{{ contacts.position }}</el-descriptions-item>
        <el-descriptions-item label="性别">{{ contacts.sex }}</el-descriptions-item>
        <el-descriptions-item label="生日">{{ contacts.birthday }}</el-descriptions-item>
        <el-descriptions-item label="家庭住址">{{ contacts.address }}</el-descriptions-item>
        <el-descriptions-item label="负责人">--</el-descriptions-item>
        <el-descriptions-item label="备注">{{ contacts.remarks }}</el-descriptions-item>
      </el-descriptions>
    </div>
  </div>
</template>

<script>
export default {
  name: "contactsData",
  props:["data"],
  data(){
    return {
      contacts:[]
    }
  },
  methods:{
    async contactsData(){
      const res = await this.$api.requested({
        "id": "20221018150602",
        "content": {
          "sys_enterpriseid": this.data,
          "pageNumber": 1,
          "pageSize": 20,
          "where": {
            "condition": ""
          }
        }
      })
      console.log("----------------------")
      console.log(res)
      this.contacts = res.data
    }
  },
  mounted() {
    console.log(this.data)
    this.contactsData()
  }
}
</script>

<style scoped>

</style>